Page MenuHomePhabricator

Combine API requests required to load VE
Closed, ResolvedPublic0 Story Points

Description

When I load VE on [[en:Gosford]], the following API requests are made:

For a total of five API requests. Couldn't the VisualEditor API module expose an endpoint that combines this metadata into a single response?

Event Timeline

ori created this task.Dec 16 2014, 6:02 AM
ori updated the task description. (Show Details)
ori raised the priority of this task from to Needs Triage.
ori assigned this task to Catrope.
ori changed Security from none to None.
ori added a subscriber: ori.

This is a duplicate of several tickets, and should probably become a tracking ticket. I'll find them and make them all subtasks of this one.

Also it's worth mentioning that only the action=visualeditor request blocks loading VE (which is reasonable because it delivers the Parsoid HTML). The prop=info and imageinfo requests do not block loading.

ori moved this task from Backlog to Doing on the VisualEditor-Performance board.Jan 23 2015, 7:48 AM
Jdforrester-WMF triaged this task as High priority.
Aklapper updated the task description. (Show Details)Feb 11 2015, 8:40 PM

Change 193026 had a related patch set uploaded (by Jforrester):
[WIP] Factor out loading code into TargetLoader

https://gerrit.wikimedia.org/r/193026

Jdforrester-WMF closed this task as Resolved.Mar 16 2015, 6:39 PM
Jdforrester-WMF moved this task from Blocked to Q4 on the VisualEditor board.
ori moved this task from Doing to Done on the VisualEditor-Performance board.Mar 19 2015, 9:48 PM